<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/lcd.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">lcd.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series LCD driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="../../d2/ded/lcd_8h_source.html">lcd.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for lcd.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/dad/lcd_8c__incl.png" border="0" usemap="#a_std_driver_2src_2lcd_8c" alt=""/></div>
</div>
</div>
<p><a href="../../da/def/lcd_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga38931e2f60a5bca8527b78604644e67a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">LCD_SetPixel</a> (uint32_t u32Com, uint32_t u32Seg, uint32_t u32OnFlag)</td></tr>
<tr class="memdesc:ga38931e2f60a5bca8527b78604644e67a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables a segment on the LCD display.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">More...</a><br /></td></tr>
<tr class="separator:ga38931e2f60a5bca8527b78604644e67a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4cf38e762042748bb3948fea1031da19"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">LCD_SetAllPixels</a> (uint32_t u32OnOff)</td></tr>
<tr class="memdesc:ga4cf38e762042748bb3948fea1031da19"><td class="mdescLeft">&#160;</td><td class="mdescRight">LCD Enable/Disable all segments.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">More...</a><br /></td></tr>
<tr class="separator:ga4cf38e762042748bb3948fea1031da19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaecd530f9642d69ebd329530c33b1c002"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">LCD_EnableFrameCounter</a> (uint32_t u32Count)</td></tr>
<tr class="memdesc:gaecd530f9642d69ebd329530c33b1c002"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Frame Count and Enable frame count.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">More...</a><br /></td></tr>
<tr class="separator:gaecd530f9642d69ebd329530c33b1c002"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac9d571af631f230b2d093b70426bbd7c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">LCD_DisableFrameCounter</a> (void)</td></tr>
<tr class="memdesc:gac9d571af631f230b2d093b70426bbd7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable frame count function.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">More...</a><br /></td></tr>
<tr class="separator:gac9d571af631f230b2d093b70426bbd7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga63cc493ec700a988c2382c3b09a09157"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">LCD_Open</a> (uint32_t u32DrivingType, uint32_t u32ComNum, uint32_t u32BiasLevel, uint32_t u32FramerateDiv, uint32_t u32DrivingVol)</td></tr>
<tr class="memdesc:ga63cc493ec700a988c2382c3b09a09157"><td class="mdescLeft">&#160;</td><td class="mdescRight">LCD Initialization routine.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">More...</a><br /></td></tr>
<tr class="separator:ga63cc493ec700a988c2382c3b09a09157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2b1b24fe536b594eff3fbc4acfd7dc8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">LCD_Close</a> (void)</td></tr>
<tr class="memdesc:gab2b1b24fe536b594eff3fbc4acfd7dc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">More...</a><br /></td></tr>
<tr class="separator:gab2b1b24fe536b594eff3fbc4acfd7dc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaac399c45e3931c6dcbaa95c79a766a6a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">LCD_EnableBlink</a> (uint32_t u32ms)</td></tr>
<tr class="memdesc:gaac399c45e3931c6dcbaa95c79a766a6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Blink function in LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">More...</a><br /></td></tr>
<tr class="separator:gaac399c45e3931c6dcbaa95c79a766a6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae97874077bfb3a021c61690b21004f69"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">LCD_DisableBlink</a> (void)</td></tr>
<tr class="memdesc:gae97874077bfb3a021c61690b21004f69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Blink function in LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">More...</a><br /></td></tr>
<tr class="separator:gae97874077bfb3a021c61690b21004f69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga92f309aa07814f033fa583e1e74e68bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">LCD_EnableInt</a> (uint32_t IntSrc)</td></tr>
<tr class="memdesc:ga92f309aa07814f033fa583e1e74e68bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable LCD interrupt.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">More...</a><br /></td></tr>
<tr class="separator:ga92f309aa07814f033fa583e1e74e68bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab38a1d741553128199a9c4b3c0015bcf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">LCD_DisableInt</a> (uint32_t IntSrc)</td></tr>
<tr class="memdesc:gab38a1d741553128199a9c4b3c0015bcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable LCD specified interrupt.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">More...</a><br /></td></tr>
<tr class="separator:gab38a1d741553128199a9c4b3c0015bcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano 102/112 series LCD driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>14 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/25 11:37a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../da/def/lcd_8c_source.html">lcd.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
